List migration mappings
curl --request GET \
--url https://api-sandbox.synctera.com/v0/migration_mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/migration_mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/migration_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"migration_mappings": [
{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"old_resource_id": "abc123",
"old_tenant": "abcdef_ghijkl",
"resource_id": "def456",
"resource_type": "ACCOUNT",
"tenant": "abcdef_ghijkl",
"deletion_time": "2010-05-06T12:23:34.321Z"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Migration Mappings
List migration mappings
List migration mappings. Either tenant or old_tenant may view the records they are part of.
GET
/
migration_mappings
List migration mappings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Matches records where resource_id OR old_resource_id equals this value.
Available options:
creation_time:asc, creation_time:desc, last_updated_time:asc, last_updated_time:desc The type of resource being mapped.
Available options:
ACCOUNT, BUSINESS, PERSON The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Was this page helpful?

